<?php

function twofile_setup() {

    add_theme_support( 'html5', array('search-form', 'comment-form', 'comment-list', 'gallery', 'caption', ));
    add_theme_support( 'title-tag' );
    // custom editor style support
    add_editor_style( 'editor-style.css' );
    
    // This theme uses Featured Images (also known as post thumbnails)
    add_theme_support('post-thumbnails'); 
    //set_post_thumbnail_size( 150, 150 );

    // Add default posts and comments RSS feed links to head
    add_theme_support('automatic-feed-links');

    // language support - add your translation
    load_theme_textdomain( 'twofile', get_template_directory_uri() . '/languages' );

    // This theme uses wp_nav_menu in one location.
    register_nav_menus(array(
        'primary' => __('Primary Navigation', 'twofile')
        ));     

    // Add support for custom background
    add_theme_support( 'custom-background', array(
        'default-image' => get_stylesheet_directory_uri() . '/images/default-background-50.png',
        'default-color' => 'e6e6e6',
    )); 

    // custom header image on top sidebar
    add_theme_support( 'custom-header' ); 
    $args = array(
	'default-image'          => get_stylesheet_directory_uri() . '/images/default-header.png',
	'random-default'         => false,
	'width'                  => 1000,
	'height'                 => 220,
	'flex-height'            => true,
	'flex-width'             => true,
	'default-text-color'     => 'ffffff',
	'header-text'            => false,
	'uploads'                => true,
    );
    add_theme_support( 'custom-header', $args );
}
    add_action('after_setup_theme', 'twofile_setup');
/* Set the $content_width for things such as video embeds. */
function twofile_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'twofile_content_width', 740 );
}
add_action( 'after_setup_theme', 'twofile_content_width', 0 );

    // Changing excerpt more
    function twofile_excerpt_more($more) {
    global $post;
    return '<a href="'. get_permalink($post->ID) . '">' . 'Read On' . '</a>';
    }
    add_filter('excerpt_more', 'twofile_excerpt_more');

    // Register StyleSheet
function twofile_styles() {
    wp_enqueue_style( 'twofile-style', get_stylesheet_uri()
    );
   /*
    * Adds JavaScript to pages with the comment form to support
    * sites with threaded comments (when in use).
    */
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
	wp_enqueue_script( 'comment-reply' );  
}
    add_action( 'wp_enqueue_scripts', 'twofile_styles' );

    // add ie conditional html5 shim to header
function twofile_add_ie_html5_shim () {
    echo '<!--[if lt IE 9]>';
    echo '<script src="js/html5.js"></script>';
    echo '<![endif]-->';
}
    add_action('wp_head', 'twofile_add_ie_html5_shim');

function twofile_widgets_init() {
    register_sidebar( array(
        'name'         => 'Footer Sidebar',
        'id'           => 'sidebar-1',
        'description'  => 'Widgets in this area will be shown at bottom of page.',
        'before_title' => '<h2>',
        'after_title'  => '</h2>',
    ) );
}
add_action( 'widgets_init', 'twofile_widgets_init' );
?>