<?php do_action( 'get_header' ); ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width">

<link rel="profile" href="http://gmpg.org/xfn/11" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>> 
<a class="skip-link screen-reader-text" href="#content"><?php esc_attr_e( 'Skip to content', 'twofile' ); ?></a>
    <div id="wrapper">
        <header id="masthead" role="banner">
            <div id="branding">     
            <?php if (get_header_image() != '') 
            { ?>
                <figure><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" />
                </figure>
            <?php 
            } else 
                { ?><div class="noimage"></div>
                <?php 
                } ?>
                    <hgroup>
                        <h1 class="site-title"><a href="<?php echo esc_url( home_url() ); ?>" title="<?php echo esc_attr( get_bloginfo() ); ?>" rel="home"><?php bloginfo(); ?></a></h1>
                        <h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>    
                    </hgroup> 
            </div><!-- ends branding -->
        </header><!-- ends masthead -->
                <nav id="nav" role="navigation">
                <?php  wp_nav_menu( array( 
                    'theme_location' => 'primary' ) ); ?>
                </nav>

<?php if ( ! is_singular('post')) 
{  
/* ****    ****    **** start content for all but single posts ****    ****    **** */
?>

                    <section id="content" role="main"> 
                <?php if (have_posts()) { ?>		
                    <?php while ( have_posts() ) { the_post(); ?>		
                    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <header class="postmetadata" role="content info">
                        <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>">
                        <?php the_title(); ?></a></h2>
                        <p> <?php echo get_the_author(); ?> - <span><?php the_time('l, F jS, Y'); ?></span> 
                        </p>		  
                        </header>   

    <?php if ( is_category() || is_archive() ) 
    {  // display without thumbnails and in excerpt mode 
    ?>  
                        <article class="entry">
                        <div class="content">
                        <div class="excerpt">
                        <?php the_excerpt(); ?>
                        </div>
                        </div>
                        </article>      
    <?php 
        } else 
        {  // or display post with thumbnail and full article  
        ?> 

		        <article class="entry">
                            <div class="responses">
                            <?php comments_popup_link ('0 ', '1', '%'); ?>
                            <img alt="comments" src="<?php echo get_template_directory_uri(); ?>/images/comment.gif" width="16" />
                            </div>
                                <br class="spacer" />	
                                <div class="content">
                                <?php if ( has_post_thumbnail() ) { the_post_thumbnail(); } ?>
                                    <?php the_content(); ?>
                                        <p class="spanlink"><span>Keys: </span><?php the_tags( ' ', ', ' ); ?></p>
                                        <p class="spanlink"><span>Topic: </span><?php the_category( ' ', ', ' );?></p> 
                                        <p class="spanlink"><span><?php edit_post_link(); ?></span></p>
                                </div>

                        </article>

                            <section id="comments">
                   
                                    <?php comments_template(); ?>
                                
                            </section><!-- ends comments-area -->

      <?php } // ends display thumbnail excerpt types 
            ?>                                  

                    </div><!-- ends posted articles loop -->

      	            <?php } // ends while loop 
      	                  ?> 
                            <div class="pagination">
                                <?php posts_nav_link(' &#183; ', 'previous page', 'next page'); ?> 
                            </div>   
      	            </section>
      	        <?php } // ends if loop
      	              ?>
                          
<?php
} else {

/*    ****    ****   **** start content for single posts ****    ****    ****  */
?> 
        <section id="content" role="main"> 
        <?php if (have_posts()) 
        { ?>
            <?php while ( have_posts() ) 
            { the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <header class="postmetadata" role="content info">
                    <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
                    <p><?php echo get_the_author(); ?> - <span><?php the_time('l, F jS, Y'); ?></span></p>		          	
                    </header> 
                <article class="entry">
                <?php if ( has_post_thumbnail() ) { the_post_thumbnail('medium'); } ?>
	        <?php the_content(); ?>
                    <?php wp_link_pages(); ?>
                        <p class="spanlink"><span>Keywords: </span><?php the_tags( ' ', ', ' ); ?></p>
                        <p class="spanlink"><span>Topic: </span><?php the_category( ' ', ', ' );?></p> 
                        <p class="spanlink"><span><?php edit_post_link(); ?></span></p>                             
                        <nav class="pagination"><a href="<?php trackback_url(); ?>">
<img alt="comments" src="<?php echo get_template_directory_uri(); ?>/images/trackback.gif" width="16" /> trackback</a> from your own site.</nav>

                </article>
            </div><!-- ends single posts --> 
                                <nav class="pagination">
                                <?php previous_post_link('&laquo; %link'); ?> =|= 
                                <?php next_post_link('%link &raquo;'); ?></nav>
                                
                <section id="comments">
                    <?php comments_template(); ?>
                </section>

            <?php 
            } // ends while loop 
            ?>

        </section>

        <?php 
        } // ends if loop
        ?>
                            
<?php 
} // finished making decisions about posts types
?>
<?php do_action( 'get_footer' ); ?>
<footer id="footer" role="contentinfo">
<section class="footer">
<aside id="sidebar-1"><?php dynamic_sidebar(); ?></aside>
</section>
    <section>
        <p class="info">&copy; <?php echo date("Y"); ?><a href="<?php echo esc_url( home_url() ); ?>">
        <?php bloginfo('name'); ?></a></p>
        <div id="credit">
            <p>TwoFile Theme by<a href="http://tradesouthwest.com/"> Tradesouthwest</a></p>
                <div class="top"><a href="#"> Top </a>
                </div>       
        </div>
    </section>
</footer>
<?php wp_footer(); ?>
</div> <!-- wrapper ends here -->
</body>
</html>